> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update status, name, and the role of a user. User with MANAGER access role can only update another user > Update status, name, and the role of a user. User with MANAGER access role can only update another users. ## OpenAPI ````json PATCH /v1/users/{user-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/users/{user-id}": { "patch": { "tags": [ "Users" ], "summary": "Update status, name, and the role of a user. User with MANAGER access role can only update another user.", "description": "Update status, name, and the role of a user. User with MANAGER access role can only update another users.", "operationId": "UpdateUser", "parameters": [ { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "$ref": "#/components/requestBodies/UpdateUserRequest" }, "responses": { "200": { "description": "Updated User status, name, and role.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/User" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "UserAuth,Reader,Writer,Manager,ManagerInLockedAccount,WriterInLockedAccount" } } }, "components": { "parameters": { "UserId": { "name": "user-id", "in": "path", "description": "UUID of a user.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "UpdateUserRequest": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateUserRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "User": { "required": [ "user_id", "user_email" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "first_name": { "type": "string", "description": "First Name." }, "last_name": { "type": "string", "description": "Last Name." }, "user_email": { "type": "string", "description": "User Email." }, "last_logged_in_at": { "type": "integer", "description": "Last login time of user.", "format": "int64" }, "created_at": { "type": "integer", "description": "Creation time of user.", "format": "int64" }, "email_verified": { "type": "boolean", "description": "Whether this user's email has been verified." }, "status": { "$ref": "#/components/schemas/UserStatus" }, "roles": { "type": "array", "items": { "$ref": "#/components/schemas/AccessRoles" } }, "user_account_status": { "$ref": "#/components/schemas/UserAccountStatus" }, "accepted_latest_terms_and_conditions": { "type": "boolean", "description": "Whether this user has accepted latest terms and conditions or not." }, "new_email": { "type": "string", "description": "User’s new email address before it has been confirmed." } } }, "UpdateUserRequest": { "type": "object", "properties": { "first_name": { "type": "string", "description": "First name." }, "last_name": { "type": "string", "description": "Last name." }, "roles": { "type": "array", "items": { "$ref": "#/components/schemas/AccessRoles" } }, "user_account_status": { "$ref": "#/components/schemas/UserAccountStatus" }, "user_email": { "type": "string", "description": "User's new email address." } } }, "UserStatus": { "enum": [ "ACTIVE", "PENDING", "DISABLED" ], "type": "string", "description": "Status of a user." }, "AccessRoles": { "enum": [ "READER", "WRITER", "MANAGER" ], "type": "string", "description": "Roles of a user." }, "UserAccountStatus": { "enum": [ "ACTIVE", "PENDING", "DISABLED" ], "type": "string", "description": "Status of an Account for a user." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````